Subject: [bug#72840] [PATCH RFC] DRAFT doc: Add “Deprecation Policy” section.

From: Ludovic Courtès <[email-masked]>
Date: Wed, 02 Oct 2024 18:20:12 +0200

Greg Hogan <[email-masked]> skribis:

> On Mon, Sep 23, 2024 at 6:11 PM Ludovic Courtès <[email-masked]> wrote:

[...]

>> +If it has many dependent packages---as is the case for example with
>> +Python version@tie{}2---the relevant team must propose a deprecation
>> +removal agenda and seek consensus with other packagers for @b{at least
>> +one month}.  It may also invite feedback from the broader user
>> +community, for example through a survey.  Removal of all impacted
>> +packages may be gradual, spanning multiple months, to accommodate all
>> +use cases.
>> +
>> +When the package being removed is considered popular, whether or not it
>> +is a leaf, its deprecation must be announced as an entry in
>> +@code{etc/news.scm}.
>
> Hi Ludo',
>
> Is the intent for the news entry to pre-announce the removal of a
> popular package, as specified for other kinds of deprecation and
> removal?

What the paragraph above means is that a news entry is published when
the popular package is deprecated, which could be months before it is
removed.

Does that make sense?

Ludo’.